Cài đặt ứng dụng của chúng tôi 🪄 nhấp vào biểu tượng ở góc trên bên phải của thanh địa chỉ.

Trình xử lý thông báo

GET https://digily.link/api/notification-handlers/
curl --request GET \
--url 'https://digily.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: name.
is_enabled Tùy chọn Boolean
type Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị được cho phép là: notification_handler_id , datetime , last_datetime , name.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: name.
is_enabled Tùy chọn Boolean
type Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị được cho phép là: notification_handler_id , datetime , last_datetime , name.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Số nguyên Số trang mà bạn muốn lấy kết quả từ đó. Mặc định là 1.
results_per_page Tùy chọn Số nguyên Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-03-20 23:16:03",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/notification-handlers?page=1",
        "last": "https://digily.link/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/notification-handlers?page=1"
    }
}
GET https://digily.link/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-03-20 23:16:03",
    }
}
POST https://digily.link/api/notification-handlers
Tham số Chi tiết Mô tả
name Bắt buộc Chuỗi -
type Bắt buộc Chuỗi Giá trị được phép: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id
email Tùy chọn Chuỗi Có sẵn khi: type = email Email
webhook Tùy chọn Chuỗi Có sẵn khi: type = webhook URL Webhook
slack Tùy chọn Chuỗi Có sẵn khi: type = slack URL webhook Slack
discord Tùy chọn Chuỗi Có sẵn khi: type = discord URL webhook Discord
telegram Tùy chọn Chuỗi Có sẵn khi: type = telegram Mã thông báo API Telegram
telegram_chat_id Tùy chọn Chuỗi Có sẵn khi: type = telegram ID Trò chuyện Telegram
microsoft_teams Tùy chọn Chuỗi Có sẵn khi: type = microsoft_teams URL webhook Microsoft Teams
push_subscriber_id Tùy chọn Chuỗi Có sẵn khi: type = push_subscriber_id Đẩy người đăng ký
curl --request POST \
--url 'https://digily.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://digily.link/api/notification-handlers/{notification_handler_id}
Tham số Chi tiết Mô tả
name Tùy chọn Chuỗi -
type Tùy chọn Chuỗi Giá trị được phép: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id
email Tùy chọn Chuỗi Có sẵn khi: type = email Email
webhook Tùy chọn Chuỗi Có sẵn khi: type = webhook URL Webhook
slack Tùy chọn Chuỗi Có sẵn khi: type = slack URL webhook Slack
discord Tùy chọn Chuỗi Có sẵn khi: type = discord URL webhook Discord
telegram Tùy chọn Chuỗi Có sẵn khi: type = telegram Mã thông báo API Telegram
telegram_chat_id Tùy chọn Chuỗi Có sẵn khi: type = telegram ID Trò chuyện Telegram
microsoft_teams Tùy chọn Chuỗi Có sẵn khi: type = microsoft_teams URL webhook Microsoft Teams
push_subscriber_id Tùy chọn Chuỗi Có sẵn khi: type = push_subscriber_id Đẩy người đăng ký
is_enabled Tùy chọn Boolean -
curl --request POST \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://digily.link/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \